[Mesa-dev] [PATCH 2/4] glsl/tests/optimisation-test: ensure that compare_ir is available
Emil Velikov
emil.l.velikov at gmail.com
Thu Feb 23 16:43:08 UTC 2017
From: Emil Velikov <emil.velikov at collabora.com>
Bail out early if the script is not where we expect it to be.
Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
src/compiler/glsl/tests/optimization-test | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/src/compiler/glsl/tests/optimization-test b/src/compiler/glsl/tests/optimization-test
index 7ccbb4467d..ec0f09b125 100755
--- a/src/compiler/glsl/tests/optimization-test
+++ b/src/compiler/glsl/tests/optimization-test
@@ -27,6 +27,11 @@ for dir in tests/*/; do
echo "$dir"
done
+if [ ! -e "$compare_ir" ]; then
+ echo "Could not find compare_ir. Make sure that srcdir variable is correctly set."
+ exit 1
+fi
+
echo "====== Testing optimization passes ======"
for test in `find . -iname '*.opt_test'`; do
echo -n "Testing $test..."
--
2.11.0
More information about the mesa-dev
mailing list